## networking-mlnx 15.0.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr!=2.1.0,>=2.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

eventlet!=0.18.3,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
pyroute2>=0.5.7
python-neutronclient>=5.1.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
neutron-lib>=1.28.0 # Apache-2.0
neutron>=13.0.0.0b2 # Apache-2.0
pyzmq

=== debian/changelog ===
networking-mlnx (1:15.0.2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/725365)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 15:15:09 -0400

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Lenny Verkhovsky <lennyb@mellanox.com>,
 Sakirnth Nagarasa <sakirnth@gmail.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-defusedxml (>= 0.5.0),
 python3-ethtool,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-lxml,
 python3-mock,
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 1:15.0.0~),
 python3-neutron-lib (>= 1.28.0),
 python3-neutronclient,
 python3-openstackclient,
 python3-os-testr,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslosphinx,
 python3-oslotest,
 python3-pyroute2 (>= 0.5.7),
 python3-requests-mock,
 python3-six,
 python3-sqlalchemy,
 python3-subunit,
 python3-testrepository,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-vine,
 python3-webtest,
 python3-zmq,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
Homepage: https://github.com/openstack/networking-mlnx

Package: networking-mlnx-common
Architecture: all
Depends:
 neutron-common  (>= 1:11.0.0),
 python3-networking-mlnx (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Mellanox plugin common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin common files.

Package: networking-mlnx-eswitchd
Architecture: all
Provides:
 neutron-plugin,
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: Neutron is a virtual network service for Openstack - Mellanox eswitchd
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Mellanox eswitchd.

Package: neutron-mlnx-agent
Architecture: all
Section: python
Depends:
 networking-mlnx-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 iputils-arping,
Description: OpenStack virtual network service - Mellanox plugin agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Mellanox plugin agent.

Package: python3-networking-mlnx
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-defusedxml (>= 0.5.0),
 python3-ethtool,
 python3-eventlet,
 python3-lxml,
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 1:15.0.0~),
 python3-neutron-lib (>= 1.28.0),
 python3-neutronclient,
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-pbr,
 python3-pyroute2 (>= 0.5.7),
 python3-six,
 python3-sqlalchemy,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-mlnx,
Replaces:
 python-networking-mlnx,
Description: OpenStack virtual network service - Mellanox plugin Python 2.7 files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2.7 files for the Mellanox plugin.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/networking-mlnx/networking-mlnx-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## networking-mlnx 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,12 @@
 six>=1.10.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.privsep>=1.32.0 # Apache-2.0
 python-openstackclient>=3.3.0 # Apache-2.0
 neutron-lib>=1.28.0 # Apache-2.0
-neutron>=13.0.0.0b2 # Apache-2.0
 pyzmq
+
+# Using neutron master is necessary for neutron-db-manage test,
+# Ussuri DB branch was created in master[1] and not yet released.
+# [1] https://github.com/openstack/neutron/commit/da93f09676a6531394bf898e7292c2ae87194ce3
+-e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
networking-mlnx (1:16.0.0-3) unstable; urgency=medium

  * d/control: Correcting Homepage value.
  * d/watch: Correcting upstream URL.

 -- Sakirnth Nagarasa <sakirnth@gmail.com>  Tue, 12 Jul 2022 15:10:34 +0200

networking-mlnx (1:16.0.0-2) unstable; urgency=medium

  * Add Fix_mellanox_ci.patch (Closes: #1011673).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 10:15:23 +0200

networking-mlnx (1:16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Moved the package to the neutron-plugins Salsa subgroup.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 May 2020 21:53:54 +0200

networking-mlnx (1:15.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2019 10:24:54 +0100

networking-mlnx (1:15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2019 11:37:59 +0100

networking-mlnx (1:15.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 23:50:05 +0200

networking-mlnx (1:15.0.0-1) experimental; urgency=medium

  [ Lenny Verkhovsky ]
  * New upstream release.

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:10:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: networking-mlnx
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Lenny Verkhovsky <lennyb@mellanox.com>,
@@ -20,44 +19,44 @@
  python3-cliff,
  python3-coverage,
  python3-ddt,
- python3-defusedxml (>= 0.5.0),
+ python3-defusedxml,
  python3-ethtool,
  python3-eventlet,
  python3-fixtures,
  python3-hacking,
- python3-lxml,
  python3-mock,
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 1:15.0.0~),
+ python3-netaddr,
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 1.28.0),
  python3-neutronclient,
  python3-openstackclient,
  python3-os-testr,
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.privsep,
  python3-oslosphinx,
  python3-oslotest,
- python3-pyroute2 (>= 0.5.7),
+ python3-psycopg2,
+ python3-pymysql,
  python3-requests-mock,
  python3-six,
  python3-sqlalchemy,
- python3-subunit,
- python3-testrepository,
  python3-testresources,
  python3-testscenarios,
  python3-testtools,
- python3-vine,
  python3-webtest,
  python3-zmq,
+ subunit,
+ testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
-Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
-Homepage: https://github.com/openstack/networking-mlnx
+Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-mlnx
+Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-mlnx.git
+Homepage: https://opendev.org/x/networking-mlnx.git
 
 Package: networking-mlnx-common
 Architecture: all
 Depends:
- neutron-common  (>= 1:11.0.0),
+ neutron-common  (>= 1:15.0.0),
  python3-networking-mlnx (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -113,19 +112,18 @@
 Section: python
 Depends:
  python3-babel,
- python3-defusedxml (>= 0.5.0),
+ python3-defusedxml,
  python3-ethtool,
  python3-eventlet,
- python3-lxml,
- python3-netaddr (>= 0.7.18),
- python3-neutron (>= 1:15.0.0~),
+ python3-netaddr,
+ python3-neutron (>= 2:16.0.0),
  python3-neutron-lib (>= 1.28.0),
  python3-neutronclient,
  python3-openstackclient,
- python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.concurrency,
+ python3-oslo.config,
+ python3-oslo.privsep,
  python3-pbr,
- python3-pyroute2 (>= 0.5.7),
  python3-six,
  python3-sqlalchemy,
  python3-zmq,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://opendev.org/x/networking-mlnx/tags .*\/(\d{1,3}\.[\d\.]+)\.tar\.gz

## networking-mlnx 16.0.1~git2020101510.921e87c

=== debian/changelog ===
networking-mlnx (1:16.0.1~git2020101510.921e87c-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Oct 2020 15:15:30 +0000

networking-mlnx (1:16.0.1~git2020101510.921e87c-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 10:12:56 -0400

networking-mlnx (1:16.0.1~git2020073014.43681d3-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 14:48:56 -0400

networking-mlnx (1:16.0.1~git2020070614.7d6ef1f-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Export build artifacts to ../build-area/.
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 14:02:22 -0400

networking-mlnx (1:15.0.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/725365)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 15:15:09 -0400

## networking-mlnx 16.0.1~git2021012913.546e21c

=== debian/changelog ===
networking-mlnx (1:16.0.1~git2021012913.546e21c-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Jan 2021 20:20:25 +0000

networking-mlnx (1:16.0.1~git2021012913.546e21c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2021 13:48:01 -0500

## networking-mlnx 18.0.0+git2021100610.63e4524

=== debian/changelog ===
networking-mlnx (1:18.0.0+git2021100610.63e4524-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 11:16:47 +0000

networking-mlnx (1:18.0.0+git2021100610.63e4524-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:48:48 -0400

networking-mlnx (1:17.0.0+git2021072117.67bcd95-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:15:32 -0400

## networking-mlnx 19.0.0+git2021120909.98591db

=== debian/changelog ===
networking-mlnx (1:19.0.0+git2021120909.98591db-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:38:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,62 +1,65 @@
 Source: networking-mlnx
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Lenny Verkhovsky <lennyb@mellanox.com>,
  Sakirnth Nagarasa <sakirnth@gmail.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
- python3-sphinx,
+ python3-sphinx (>= 1.1.2),
 Build-Depends-Indep:
- python3-babel,
- python3-cliff,
- python3-coverage,
- python3-ddt,
- python3-defusedxml,
+ python3-babel (>= 1.3),
+ python3-cliff (>= 1.15.0),
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
+ python3-defusedxml (>= 0.5.0),
  python3-ethtool,
- python3-eventlet,
- python3-fixtures,
- python3-hacking,
- python3-mock,
- python3-netaddr,
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.28.0),
- python3-neutronclient,
- python3-openstackclient,
- python3-os-testr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.privsep,
- python3-oslosphinx,
- python3-oslotest,
- python3-psycopg2,
- python3-pymysql,
- python3-requests-mock,
- python3-six,
- python3-sqlalchemy,
- python3-testresources,
- python3-testscenarios,
- python3-testtools,
- python3-webtest,
+ python3-eventlet (>= 0.18.2),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-isort (>= 4.3.21),
+ python3-lxml,
+ python3-mock (>= 1.2),
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 1:17.0.0~),
+ python3-neutron-lib (>= 2.4.0),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-openstackclient (>= 3.3.0),
+ python3-os-testr (>= 1.0.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.privsep (>= 1.32.0),
+ python3-oslosphinx (>= 2.5.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-pyroute2 (>= 0.5.7),
+ python3-requests-mock (>= 0.7.0),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testresources (>= 2.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
+ python3-vine,
+ python3-webtest (>= 2.0.27),
  python3-zmq,
- subunit,
- testrepository,
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/neutron-plugins/networking-mlnx
-Vcs-Git: https://salsa.debian.org/openstack-team/neutron-plugins/networking-mlnx.git
-Homepage: https://opendev.org/x/networking-mlnx.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
+Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
+Homepage: https://opendev.org/x/networking-mlnx
 
 Package: networking-mlnx-common
 Architecture: all
 Depends:
- neutron-common  (>= 1:15.0.0),
+ neutron-common  (>= 1:11.0.0),
  python3-networking-mlnx (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
@@ -111,21 +114,23 @@
 Architecture: all
 Section: python
 Depends:
- python3-babel,
- python3-defusedxml,
+ python3-babel (>= 1.3),
+ python3-defusedxml (>= 0.5.0),
  python3-ethtool,
- python3-eventlet,
- python3-netaddr,
- python3-neutron (>= 2:16.0.0),
- python3-neutron-lib (>= 1.28.0),
- python3-neutronclient,
- python3-openstackclient,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.privsep,
+ python3-eventlet (>= 0.18.2),
+ python3-lxml,
+ python3-netaddr (>= 0.7.18),
+ python3-neutron (>= 1:17.0.0~),
+ python3-neutron-lib (>= 2.4.0),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-openstackclient (>= 3.3.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.privsep (>= 1.32.0),
  python3-pbr,
- python3-six,
- python3-sqlalchemy,
+ python3-pyroute2 (>= 0.5.7),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.0),
  python3-zmq,
  ${misc:Depends},
  ${python3:Depends},

## networking-mlnx 19.0.0+git2022091316.0a69b97

=== debian/changelog ===
networking-mlnx (1:19.0.0+git2022091316.0a69b97-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Sep 2022 16:46:42 -0400

networking-mlnx (1:19.0.0+git2022071815.08c15d9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:27:04 -0400

networking-mlnx (1:19.0.0+git2022060609.08c15d9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 09:45:30 -0400

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Lenny Verkhovsky <lennyb@mellanox.com>,
  Sakirnth Nagarasa <sakirnth@gmail.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -39,10 +39,12 @@
  python3-oslo.privsep (>= 1.32.0),
  python3-oslosphinx (>= 2.5.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.5.7),
  python3-requests-mock (>= 0.7.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
+ python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),
  python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
@@ -51,9 +53,8 @@
  python3-vine,
  python3-webtest (>= 2.0.27),
  python3-zmq,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-mlnx
-Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-mlnx.git
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/networking-mlnx
 Homepage: https://opendev.org/x/networking-mlnx
 
 Package: networking-mlnx-common

## networking-mlnx 19.0.0+git2023011010.0a69b971

=== debian/changelog ===
networking-mlnx (1:19.0.0+git2023011010.0a69b971-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 11 Jan 2023 21:21:33 +0000

networking-mlnx (1:19.0.0+git2023011010.0a69b971-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:13:45 -0500

## networking-mlnx 21.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3
pbr>4.0.0 # Apache-2.0
defusedxml>=0.5.0 # PSF

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
pyroute2>=0.5.7
python-neutronclient>=6.7.0 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.privsep>=1.32.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
neutron-lib>=3.1.0 # Apache-2.0
pyzmq

neutron>=21.0.0

=== debian/changelog ===
networking-mlnx (1:21.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 23 Sep 2023 05:17:25 +0000

networking-mlnx (1:21.0.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Sep 2023 15:51:46 -0400

## networking-mlnx 21.0.0%2Bgit2024030809.0a69b971

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2024030809.0a69b971-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:10:50 +0000

networking-mlnx (1:21.0.0+git2024011916.0a69b971-0ubuntu2) noble; urgency=medium

  * d/p/fix-assert-calls.patch: Correct called_once_with usage.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 13:43:59 +0000

networking-mlnx (1:21.0.0+git2024011916.0a69b971-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 12:34:06 +0000

=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
  python3-lxml,
  python3-mock (>= 1.2),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 1:17.0.0~),
- python3-neutron-lib (>= 2.4.0),
+ python3-neutron (>= 2:21.0.0),
+ python3-neutron-lib (>= 3.1.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.3.0),
  python3-os-testr (>= 1.0.0),
@@ -121,8 +121,8 @@
  python3-eventlet (>= 0.18.2),
  python3-lxml,
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 1:17.0.0~),
- python3-neutron-lib (>= 2.4.0),
+ python3-neutron (>= 2:21.0.0),
+ python3-neutron-lib (>= 3.1.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.3.0),
  python3-oslo.concurrency (>= 3.26.0),

## networking-mlnx 21.0.0+git2024030809.0a69b971

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2024030809.0a69b971-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Mar 2024 12:46:03 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=networking_mlnx

UPSTREAM_GIT := https://opendev.org/x/networking-mlnx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf build .testrepository
	rm -f debian/*.service debian/*.init debian/*.upstart

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/eswitchd.conf	$(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/eswitchd.conf
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/ml2/ml2_conf_sdn.ini   $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/ml2/ml2_conf_sdn.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/plugins/mlnx/mlnx_conf.ini     $(CURDIR)/debian/networking-mlnx-common/etc/neutron/plugins/mlnx/mlnx_conf.ini
	install -D -m 0644 $(CURDIR)/etc/neutron/rootwrap.d/eswitchd.filters    $(CURDIR)/debian/networking-mlnx-common/etc/neutron/rootwrap.d/eswitchd.filters

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## networking-mlnx 21.0.0+git2025011511.880ab3a

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2025011511.880ab3a-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/patches: Remove fix-assert-calls patch no longer applicable.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:14:38 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Build-Depends-Indep:
  python3-babel (>= 1.3),
  python3-cliff (>= 1.15.0),
- python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
  python3-defusedxml (>= 0.5.0),
  python3-ethtool,
@@ -42,7 +41,6 @@
  python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.5.7),
  python3-requests-mock (>= 0.7.0),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
  python3-subunit (>= 1.0.0),

## networking-mlnx 21.0.0+git2025030311.880ab3a

=== requirements.txt ===
--- 
+++ 
@@ -16,7 +16,10 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.privsep>=1.32.0 # Apache-2.0
 python-openstackclient>=3.3.0 # Apache-2.0
-neutron-lib>=3.1.0 # Apache-2.0
+neutron-lib>=2.4.0 # Apache-2.0
 pyzmq
 
-neutron>=21.0.0
+# Using neutron master is necessary for neutron-db-manage test,
+# Ussuri DB branch was created in master[1] and not yet released.
+# [1] https://github.com/openstack/neutron/commit/da93f09676a6531394bf898e7292c2ae87194ce3
+-e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2025030311.880ab3a-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:31:52 +0000

## networking-mlnx 21.0.0+git2025070714.7139a7f

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 netaddr>=0.7.18 # BSD
 pyroute2>=0.5.7
-python-neutronclient>=6.7.0 # Apache-2.0
+python-neutronclient # Apache-2.0
 SQLAlchemy>=1.2.0 # MIT
 six>=1.10.0 # MIT
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2025070714.7139a7f-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 10:52:01 -0700

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  python3-mock (>= 1.2),
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:21.0.0),
- python3-neutron-lib (>= 3.1.0),
+ python3-neutron-lib (>= 2.4.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.3.0),
  python3-os-testr (>= 1.0.0),
@@ -120,7 +120,7 @@
  python3-lxml,
  python3-netaddr (>= 0.7.18),
  python3-neutron (>= 2:21.0.0),
- python3-neutron-lib (>= 3.1.0),
+ python3-neutron-lib (>= 2.4.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackclient (>= 3.3.0),
  python3-oslo.concurrency (>= 3.26.0),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=networking_mlnx
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 UPSTREAM_GIT := https://opendev.org/x/networking-mlnx.git
 include /usr/share/openstack-pkg-tools/pkgos.make

## networking-mlnx 21.0.0+git2026012909.0ec54e2

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 pbr>4.0.0 # Apache-2.0
 defusedxml>=0.5.0 # PSF
 
-eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 netaddr>=0.7.18 # BSD
 pyroute2>=0.5.7
 python-neutronclient # Apache-2.0

=== debian/changelog ===
networking-mlnx (1:21.0.0+git2026012909.0ec54e2-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream release for OpenStack Gazpacho.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 05 Feb 2026 09:16:52 -0500

## networking-mlnx 2015.1~b1+git20150502+400747aa20

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
-e git://git.openstack.org/openstack/neutron.git#egg=neutron

=== debian/control ===
Source: networking-mlnx
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 22~),
               po-debconf,
               python-all (>= 2.6),
               python-pbr,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-cliff (>= 1.7.0),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-hacking,
                     python-mock (>= 1.0),
                     python-neutron (>= 2015.1~b3),
                     python-oslosphinx (>= 2.2.0),
                     python-oslotest (>= 1.2.0),
                     python-requests-mock (>= 0.5.1),
                     python-tempest-lib,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.36),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-mlnx.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/networking-mlnx.git

Package: python-networking-mlnx
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-neutron (>= 2015.1~b3),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping
Description: OpenStack virtual network service - Melanox plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Melanox plugin.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := git://github.com/stackforge/networking-mlnx.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_install:
	set -e ; set -x ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
	done

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:
